/**
* Colors
*/
/* Signal colors */
/* Old colors (TODO: cleanup when not needed anymore) */
/**
 * Base
 */
/**
 * Selection
 */
/**
 * Flyingfocus
 */
/**
 * Icons
 */
/**
 * Link
 */
/**
 * Text
 */
/**
 * Section
 */
/**
 * Header
 */
/**
 * Footer
 */
/**
 * Fieldset
 */
/**
 * Stepper
 */
/**
 * Loader
 */
/**
 * Table
 */
/**
 * Heading
 */
/**
 * Text
 */
/**
 * Menu (Item)
 */
/**
 * Form Elements (Input / Checkbox / Radio / Select / Datepicker)
 */
/**
 * Popover
 */
/**
 * Tooltips
 */
/**
 * Dialogs / Popover
 */
/**
 * Overlays
 */
/**
 * Accordions
 */
/**
 * Timeline
 */
/**
 * Buttons
 */
/**
 * Ratios
 */
/**
 * Pagetitle
 */
/**
 * TopnewsMostsearched
 */
/**
 * Calendar
 */
/**
 * Cta
 */
/**
 * Toasts
 */
/**
 * Uploads
 */
/**
 * Box Shadows
 */
/**
 * Z-Indexes
 * Inspired by https://www.duetds.com/tokens/#z-index
 */
/**
 * Icon sizes
 */
/**
 * Grid
 */
/**
 * Container
 */
/**
 * Breakpoints
 */
/**
 * Ratios
 */
/**
 * Spaces
 */
/**
 * Fonts
 */
:host {
  font-family: var(--stzh-font-family-medium);
  font-weight: var(--stzh-font-weight-medium);
  font-style: var(--stzh-font-style-medium);
  color: var(--stzh-base-color);
  box-sizing: border-box;
  display: block;
}
:host[hidden], :host[stzh-hidden] {
  display: none;
}
:host::selection {
  color: var(--stzh-selection-color);
  background-color: var(--stzh-selection-background-color);
}
:host *,
:host *::before,
:host *::after {
  box-sizing: border-box;
  text-underline-offset: var(--stzh-link-text-underline-offset);
  text-decoration-thickness: var(--stzh-link-text-decoration-thickness);
  -webkit-text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
          text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
}
:host {
  /* default outline value, which will be applied to all elements receiving focus
  the .has-focus class is used by the focus target */
}
:host .has-focus {
  outline: var(--stzh-flyingfocus-color) solid 0.125rem;
  outline-offset: 0.125rem;
}
:host .stzh-fylingfocus-focused {
  outline-style: none !important;
}
:host .stzh-fylingfocus-focused::-moz-focus-inner {
  border: 0 !important;
}

/**
* @prop --max-height: Maximum height of table
* @prop --min-width: Minium width of table
* @prop --cell-padding: Cells padding
* @prop --search-input-width: Search input width from small breakpoint

* @prop --stzh-table-max-width: **Global**: Maximum height of table
* @prop --stzh-table-min-width: **Global**: Minium width of table
* @prop --stzh-table-cell-padding: **Global**: Cells padding
* @prop --stzh-table-search-input-width: **Global**: Search input width from small breakpoint
*/
stzh-table {
  font-family: var(--stzh-font-family-medium);
  font-weight: var(--stzh-font-weight-medium);
  font-style: var(--stzh-font-style-medium);
  color: var(--stzh-base-color);
  box-sizing: border-box;
  display: block;
}
stzh-table[hidden], stzh-table[stzh-hidden] {
  display: none;
}
stzh-table::selection {
  color: var(--stzh-selection-color);
  background-color: var(--stzh-selection-background-color);
}
stzh-table *,
stzh-table *::before,
stzh-table *::after {
  box-sizing: border-box;
  text-underline-offset: var(--stzh-link-text-underline-offset);
  text-decoration-thickness: var(--stzh-link-text-decoration-thickness);
  -webkit-text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
          text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
}
stzh-table {
  /* default outline value, which will be applied to all elements receiving focus
  the .has-focus class is used by the focus target */
}
stzh-table .has-focus {
  outline: var(--stzh-flyingfocus-color) solid 0.125rem;
  outline-offset: 0.125rem;
}
stzh-table .stzh-fylingfocus-focused {
  outline-style: none !important;
}
stzh-table .stzh-fylingfocus-focused::-moz-focus-inner {
  border: 0 !important;
}
stzh-table {
  --stzh-list-font-size: "";
  --stzh-list-line-height: "";
  --stzh-list-letter-spacing: "";
  --max-height: var(--stzh-table-max-height);
  --min-width: var(--stzh-table-min-width);
  --cell-padding: var(--stzh-table-cell-padding);
  --search-input-width: var(--stzh-table-search-input-width);
}
stzh-table[disable-min-width]:not([disable-min-width=false]) {
  --min-width: none;
}

.stzh-table {
  /**
   * Prevent iOS from resizing longer texts in tables in Safari.
   */
  -webkit-text-size-adjust: 100%;
}
.stzh-table__sub-header {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}
.stzh-table__header .stzh-table__search {
  flex-grow: 1;
  margin-right: var(--stzh-space-medium, 16px);
}
@media screen and (min-width: 600px) {
  .stzh-table__header .stzh-table__search {
    width: var(--search-input-width);
    flex-grow: 0;
  }
}
.stzh-table__action-button {
  flex-shrink: 0;
  margin-left: auto;
}
.stzh-table__outer-wrapper {
  position: relative;
}
.stzh-table__outer-wrapper::before, .stzh-table__outer-wrapper::after {
  z-index: 4;
  background: linear-gradient(90deg, rgb(210, 210, 210) 0%, rgba(255, 255, 255, 0) 100%);
  content: "";
  pointer-events: none;
  position: absolute;
  top: 0;
  height: 100%;
  width: 1.5rem;
  transition: opacity var(--stzh-base-transition-animation-speed);
  opacity: 0;
}
.stzh-table__outer-wrapper::before {
  left: 0;
}
.stzh-table__outer-wrapper::after {
  right: 0;
  transform: rotate(-180deg);
}
.stzh-table__wrapper {
  overflow-x: auto;
  max-height: var(--max-height);
}
.stzh-table__wrapper::-webkit-scrollbar {
  position: absolute;
  z-index: 9999999;
  width: 0.5rem;
  background-color: transparent;
}
.stzh-table__wrapper::-webkit-scrollbar:horizontal {
  height: 0.5rem;
}
.stzh-table__wrapper::-webkit-scrollbar-track {
  background-color: transparent;
}
.stzh-table__wrapper::-webkit-scrollbar-thumb {
  background-color: var(--stzh-color-secondary50);
}
.stzh-table__wrapper::-webkit-scrollbar-thumb:active, .stzh-table__wrapper ::-webkit-scrollbar-thumb:hover {
  background-color: var(--stzh-color-secondary50);
}
.stzh-table__pagination-wrapper {
  display: flex;
  justify-content: flex-end;
}
.stzh-table__pagination-wrapper:not(:empty) {
  margin-top: var(--stzh-space-medium, 16px);
}
@media screen and (min-width: 600px) {
  .stzh-table__pagination-wrapper:not(:empty) {
    margin-top: var(--stzh-space-large, 20px);
  }
}
@media screen and (min-width: 900px) {
  .stzh-table__pagination-wrapper:not(:empty) {
    margin-top: var(--stzh-space-xlarge, 24px);
  }
}
@media screen and (min-width: 1260px) {
  .stzh-table__pagination-wrapper:not(:empty) {
    margin-top: var(--stzh-space-xxlarge, 32px);
  }
}
.stzh-table__sort-button {
  font-family: var(--stzh-font-family-heavy);
  font-weight: var(--stzh-font-weight-heavy);
  font-style: var(--stzh-font-style-heavy);
  cursor: pointer;
  appearance: none;
  background: none;
  border: none;
  display: inline-flex;
  align-items: center;
  font-size: inherit;
  line-height: inherit;
  color: inherit;
  padding: var(--cell-padding);
  gap: var(--stzh-space-xxsmall, 4px);
}
.stzh-table__sort-button:hover, .stzh-table__sort-button:focus {
  color: var(--stzh-color-primary-hover);
}
@media (forced-colors: active) {
  .stzh-table__sort-button:hover, .stzh-table__sort-button:focus {
    color: Highlight;
  }
}
.stzh-table__list-sort-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.stzh-table__list-sort-wrapper:not(:empty) {
  margin-bottom: var(--stzh-space-medium, 16px);
}
@media screen and (min-width: 600px) {
  .stzh-table__list-sort-wrapper:not(:empty) {
    margin-bottom: var(--stzh-space-large, 20px);
  }
}
@media screen and (min-width: 900px) {
  .stzh-table__list-sort-wrapper:not(:empty) {
    margin-bottom: var(--stzh-space-xlarge, 24px);
  }
}
@media screen and (min-width: 1260px) {
  .stzh-table__list-sort-wrapper:not(:empty) {
    margin-bottom: var(--stzh-space-xxlarge, 32px);
  }
}
.stzh-table__list-sort-wrapper stzh-dropdown + stzh-dropdown {
  margin-top: calc(var(--stzh-space-xsmall, 8px) / -1);
}
.stzh-table table {
  width: 100%;
  border-spacing: 0;
  min-width: var(--min-width);
  /* Fixed layout */
}
.stzh-table table.has-layout-fixed {
  table-layout: fixed;
}
.stzh-table thead {
  position: sticky;
  top: 0;
  z-index: 1;
}
.stzh-table tbody tr:nth-child(even) td,
.stzh-table tbody tr:nth-child(even) th {
  background-color: var(--stzh-color-grey10);
}
.stzh-table td,
.stzh-table th {
  font-size: var(--stzh-font-milli-font-size);
  line-height: var(--stzh-font-milli-text-line-height);
  letter-spacing: var(--stzh-font-curve---text-letter-spacing);
  text-align: left;
  border: none;
  vertical-align: top;
  border: none;
  background-color: var(--stzh-color-white);
  transition: background-color var(--stzh-base-transition-animation-speed);
  padding: var(--cell-padding);
}
.stzh-table td a,
.stzh-table th a {
  color: var(--stzh-link-color);
  transition: color var(--stzh-base-transition-animation-speed);
  border-radius: var(--stzh-button-border-radius);
  text-underline-offset: var(--stzh-link-text-underline-offset);
  -webkit-text-decoration-line: var(--stzh-link-text-decoration-line);
          text-decoration-line: var(--stzh-link-text-decoration-line);
  text-decoration-thickness: var(--stzh-link-text-decoration-thickness);
  -webkit-text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
          text-decoration-skip-ink: var(--stzh-link-text-decoration-skip-ink);
}
.stzh-table td a:hover,
.stzh-table th a:hover {
  color: var(--stzh-link-hover-color);
  -webkit-text-decoration-line: var(--stzh-link-hover-text-decoration-line);
          text-decoration-line: var(--stzh-link-hover-text-decoration-line);
}
.stzh-table td b,
.stzh-table td strong,
.stzh-table th b,
.stzh-table th strong {
  font-family: var(--stzh-font-family-heavy);
  font-weight: var(--stzh-font-weight-heavy);
  font-style: var(--stzh-font-style-heavy);
}
.stzh-table td i,
.stzh-table td em,
.stzh-table th i,
.stzh-table th em {
  font-family: var(--stzh-font-family-medium-italic);
  font-weight: var(--stzh-font-weight-medium-italic);
  font-style: var(--stzh-font-style-medium-italic);
}
.stzh-table td,
.stzh-table th {
  /* Horizontal alignment */
}
.stzh-table td.align-left,
.stzh-table th.align-left {
  text-align: left;
}
.stzh-table td.align-right,
.stzh-table th.align-right {
  text-align: right;
}
.stzh-table td.align-center,
.stzh-table th.align-center {
  text-align: center;
}
.stzh-table td,
.stzh-table th {
  /* Vertical alignment */
}
.stzh-table td.valign-auto,
.stzh-table th.valign-auto {
  vertical-align: auto;
}
.stzh-table td.valign-middle,
.stzh-table th.valign-middle {
  vertical-align: middle;
}
.stzh-table td.valign-bottom,
.stzh-table th.valign-bottom {
  vertical-align: bottom;
}
.stzh-table td.valign-top,
.stzh-table th.valign-top {
  vertical-align: top;
}
.stzh-table td,
.stzh-table th {
  /* Nowrap */
}
.stzh-table td.nowrap,
.stzh-table th.nowrap {
  white-space: nowrap;
}
.stzh-table td,
.stzh-table th {
  /* Head */
}
.stzh-table td.is-head,
.stzh-table th.is-head {
  font-family: var(--stzh-font-family-heavy);
  font-weight: var(--stzh-font-weight-heavy);
  font-style: var(--stzh-font-style-heavy);
}
.stzh-table td,
.stzh-table th {
  /* Sticky */
}
.stzh-table td.is-sticky-left, .stzh-table td.is-sticky-right,
.stzh-table th.is-sticky-left,
.stzh-table th.is-sticky-right {
  position: sticky;
  z-index: 1;
}
.stzh-table td.has-sticked,
.stzh-table th.has-sticked {
  z-index: 2;
}
.stzh-table td.is-sticky-left,
.stzh-table th.is-sticky-left {
  left: 0;
}
.stzh-table td.is-sticky-right,
.stzh-table th.is-sticky-right {
  right: 0;
}
.stzh-table td.is-sticky-left::after, .stzh-table td.is-sticky-right::after,
.stzh-table th.is-sticky-left::after,
.stzh-table th.is-sticky-right::after {
  background: linear-gradient(90deg, rgba(0, 0, 0, 0.16) 0%, rgba(0, 0, 0, 0) 100%);
  content: "";
  pointer-events: none;
  position: absolute;
  top: 0;
  height: 100%;
  width: 0.375rem;
  transform: translate(100%);
  opacity: 0;
  transition: opacity var(--stzh-base-transition-animation-speed);
}
.stzh-table td.is-sticky-left::after,
.stzh-table th.is-sticky-left::after {
  right: 0;
}
.stzh-table td.is-sticky-right::after,
.stzh-table th.is-sticky-right::after {
  left: 0;
  transform: rotate(-180deg) translate(100%);
}
.stzh-table td.has-sticked.is-sticky-left::after, .stzh-table td.has-sticked.is-sticky-right::after,
.stzh-table th.has-sticked.is-sticky-left::after,
.stzh-table th.has-sticked.is-sticky-right::after {
  opacity: 1;
}
.stzh-table th {
  font-family: var(--stzh-font-family-heavy);
  font-weight: var(--stzh-font-weight-heavy);
  font-style: var(--stzh-font-style-heavy);
  color: var(--stzh-table-head-color, var(--stzh-color-primary));
}
.stzh-table th.is-sortable {
  padding: 0;
}
.stzh-table th:has(> span):has(> stzh-icon) > span,
.stzh-table th:has(> span):has(> stzh-icon) > stzh-icon {
  vertical-align: middle;
}
.stzh-table th:has(> span):has(> stzh-icon) > stzh-icon {
  display: inline-block;
}
.stzh-table {
  /* Has sorted */
}
td.has-sorted .stzh-table__sort-icon, th.has-sorted .stzh-table__sort-icon {
  display: inline-flex;
}
td.has-sorted-desc .stzh-table__sort-icon, th.has-sorted-desc .stzh-table__sort-icon {
  transform: rotate(180deg);
}
.stzh-table.has-header .stzh-table__header {
  margin-bottom: var(--stzh-space-xsmall, 8px);
}
@media screen and (min-width: 600px) {
  .stzh-table.has-header .stzh-table__header {
    margin-bottom: var(--stzh-space-small, 12px);
  }
}
@media screen and (min-width: 900px) {
  .stzh-table.has-header .stzh-table__header {
    margin-bottom: var(--stzh-space-medium, 16px);
  }
}
@media screen and (min-width: 1260px) {
  .stzh-table.has-header .stzh-table__header {
    margin-bottom: var(--stzh-space-xlarge, 24px);
  }
}
.stzh-table.has-action-or-search .stzh-table__heading:not(:empty) {
  margin-bottom: var(--stzh-space-xlarge, 24px);
}
.stzh-table {
  /* Showing list on mikro */
}
.stzh-table.has-list .stzh-table__outer-wrapper {
  display: none;
}
@media screen and (min-width: 1260px) {
  .stzh-table.has-list .stzh-table__outer-wrapper {
    display: block;
  }
}
@media screen and (min-width: 1260px) {
  .stzh-table.has-list .stzh-table__list-wrapper {
    display: none;
  }
}
.stzh-table {
  /* Scroll left/right shadow variant */
}
.stzh-table.has-scroll-left-shadow .stzh-table__outer-wrapper::before, .stzh-table.has-scroll-right-shadow .stzh-table__outer-wrapper::after {
  opacity: 1;
}
.stzh-table.has-scroll-right .stzh-table__wrapper {
  overflow-x: scroll;
}